OpenVDB: D1< FD_HJWENO5 > Struct Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
D1< FD_HJWENO5 > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType>
static ValueType | difference (const ValueType &xp3, const ValueType &xp2, const ValueType &xp1, const ValueType &xp0, const ValueType &xm1, const ValueType &xm2)
template<typename Accessor>
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil>
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inZ (const Stencil &S)

## Member Function Documentation

## ◆ difference()

template<typename ValueType>

ValueType difference | ( | const ValueType & | xp3,
|  | const ValueType & | xp2,
|  | const ValueType & | xp1,
|  | const ValueType & | xp0,
|  | const ValueType & | xm1,
|  | const ValueType & | xm2 )
| inlinestatic

## ◆ inX() [1/2]

template<typename Accessor>

Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inX() [2/2]

template<typename Stencil>

Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inY() [1/2]

template<typename Accessor>

Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inY() [2/2]

template<typename Stencil>

Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inZ() [1/2]

template<typename Accessor>

Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inZ() [2/2]

template<typename Stencil>

Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inlinestatic